=== modified file 'NEWS'
--- NEWS	2007-04-23 04:28:56 +0000
+++ NEWS	2007-04-23 04:38:50 +0000
@@ -43,6 +43,9 @@
       #107125) and also update the blurb about the hpss' current status.
       (Robert Collins).
 
+    * ``bzr serve`` now listens on interface 0.0.0.0 by default, making it
+      serve out to the local LAN and fixing bug 98918. (Robert Collins)
+
   INTERNALS:
 
     * bzrlib API compatability with 0.8 has been dropped, cleaning up some

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2007-04-21 14:15:08 +0000
+++ bzrlib/builtins.py	2007-04-23 04:38:50 +0000
@@ -3291,7 +3291,7 @@
         from bzrlib.smart import medium, server
         from bzrlib.transport import get_transport
         from bzrlib.transport.chroot import ChrootServer
-        from bzrlib.transport.remote import BZR_DEFAULT_PORT
+        from bzrlib.transport.remote import BZR_DEFAULT_PORT, BZR_DEFAULT_INTERFACE
         if directory is None:
             directory = os.getcwd()
         url = urlutils.local_path_to_url(directory)
@@ -3304,14 +3304,12 @@
             smart_server = medium.SmartServerPipeStreamMedium(
                 sys.stdin, sys.stdout, t)
         else:
+            host = BZR_DEFAULT_INTERFACE
             if port is None:
                 port = BZR_DEFAULT_PORT
-                host = '127.0.0.1'
             else:
                 if ':' in port:
                     host, port = port.split(':')
-                else:
-                    host = '127.0.0.1'
                 port = int(port)
             smart_server = server.SmartTCPServer(t, host=host, port=port)
             print 'listening on port: ', smart_server.port

=== modified file 'bzrlib/transport/remote.py'
--- bzrlib/transport/remote.py	2007-04-16 17:49:35 +0000
+++ bzrlib/transport/remote.py	2007-04-23 04:38:50 +0000
@@ -39,6 +39,7 @@
 
 
 # Port 4155 is the default port for bzr://, registered with IANA.
+BZR_DEFAULT_INTERFACE = '0.0.0.0'
 BZR_DEFAULT_PORT = 4155
 
 

